#include<bits/stdc++.h>
#define MAXN 100000
using namespace std;
long long a[MAXN], n, k;
void brute_force(){
    long long ans = 0;
    for(long long i = 0; i < n; i++){
        long long otg = a[i];
        for(long long j = i; j < n; j++){
            otg = (otg | a[j]);
            if(otg >= k){
                ans ++;
            }
        }
    }
    cout << ans << "\n";
    return ;
}
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    ///a[i] - long long limit - 1
    cin >> n >> k;
    for(long long i = 0; i < n; i++){
        cin >> a[i];
    }
    if(k != 1){
        brute_force();
    }else{
        long long z = 0, otg = 0, ans = 0;
        for(long long i = 0; i < n; i++){
            if(a[i] == 0){
                z ++;
            }else{
               otg += ((z+1)*z)/2;
               z = 0;
            }
        }
        if(z > 0){
            otg += ((z+1)*z)/2;
        }
        ans = ((n+1)*n)/2;
        cout << ans - otg;
    }
    return 0;
}
